Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I installed php-soap on my Centos server from RPM file. Then I restarted httpd service but doesn't work SOAP client.

When I get:

yum list installed

php-soap listed here:

php.i386                            5.3.6-1.w5                         installed
php-cli.i386                        5.3.6-1.w5                         installed
php-common.i386                     5.3.6-1.w5                         installed
php-devel.i386                      5.3.6-1.w5                         installed
php-gd.i386                         5.3.6-1.w5                         installed
php-imap.i386                       5.3.6-1.w5                         installed
php-mbstring.i386                   5.3.6-1.w5                         installed
php-mysql.i386                      5.3.6-1.w5                         installed
php-pdo.i386                        5.3.6-1.w5                         installed
php-pear.noarch                     1:1.4.9-6.el5                      installed
php-soap.i386                       5.2.17-1.el5.art                   installed
php-xml.i386                        5.3.6-1.w5                         installed

There are SOAP options in php.ini file, there is soap.so in extension dir. But doesn't appear any SOAP option on phpinfo page. (Only soap.ini listed in ini files)

What can I do for enable SOAP extension?

share|improve this question
    
Is there an enabled extension=soap.so-entry in your php.ini? –  vstm Dec 27 '11 at 17:01
    
Did the RPM automatically enable the module in your php.ini file? –  Tim Dec 27 '11 at 17:01
    
Yes in php.ini file extension was enabled. –  Muhittin Özer Dec 27 '11 at 17:19

1 Answer 1

up vote 4 down vote accepted

Check the soap.ini and verify that the line with the *.so file listed isn't commented. In case remove the ; infront of extension=... and restart your webserver apachectl restart

Update It seems you installed the php 5.2 SOAP to a PHP 5.3 which should not work together. Try install the 5.3.x SOAP.

share|improve this answer
    
';' already removed in soap.ini –  Muhittin Özer Dec 27 '11 at 17:23
    
Updated my answer. Hope this helps. –  Chris Dec 27 '11 at 17:29
    
Thanks Chris. Problem resolved with your update :) –  Muhittin Özer Dec 27 '11 at 17:40

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.